import type { Feature } from '@common-stack/client-react';
import type { CdmLogger } from '@cdm-logger/core';
import type { Redis } from 'ioredis';
import type { Container } from 'inversify';
import type { ApolloClient, NormalizedCache } from '@apollo/client/index';
export interface IAppLoadContext<S = any> {
    modules: Feature;
    routeConfig: any;
    store: any;
    container: Container;
    apolloClient: ApolloClient<NormalizedCache>;
    services: S;
    redisClient: Redis;
    logger?: CdmLogger.ILogger;
}
